manager.h File Reference
`#include <com/lomiri/location/connectivity/radio_cell.h>`
`#include <com/lomiri/location/connectivity/wireless_network.h>`
`#include <core/property.h>`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for manager.h:

Go to the source code of this file.

## Classes

class | com::lomiri::location::connectivity::Manager
| The Manager class encapsulates access to network/radio information. More...
struct | com::lomiri::location::connectivity::Manager::Errors
struct | com::lomiri::location::connectivity::Manager::Errors::ConnectivityManagementNotSupported
| The ConnectivityManagementNotSupported struct is thrown if the underlying platform does not provide support for connectivity mgmt. More...

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location
namespace | com::lomiri::location::connectivity

## Enumerations

enum class

com::lomiri::location::connectivity::State {
com::lomiri::location::connectivity::unknown = 0 ,
com::lomiri::location::connectivity::asleep = 10 ,
com::lomiri::location::connectivity::disconnected = 20 ,
com::lomiri::location::connectivity::disconnecting = 30 ,
com::lomiri::location::connectivity::connecting = 40 ,
com::lomiri::location::connectivity::connected_local = 50 ,
com::lomiri::location::connectivity::connected_site = 60 ,
com::lomiri::location::connectivity::connected_global = 70
}

| Enumerates all known system connectivity states. More...

enum class

com::lomiri::location::connectivity::Characteristics : std::uint32_t {
com::lomiri::location::connectivity::none = 0 ,
com::lomiri::location::connectivity::connection_goes_via_wifi = 1 << 0 ,
com::lomiri::location::connectivity::connection_goes_via_wwan = 1 << 1 ,
com::lomiri::location::connectivity::connection_is_roaming = 1 << 2 ,
com::lomiri::location::connectivity::connection_has_monetary_costs = 1 << 3 ,
com::lomiri::location::connectivity::connection_is_volume_limited = 1 << 4 ,
com::lomiri::location::connectivity::connection_is_bandwith_limited = 1 << 5
}

| Summarizes characteristics of network connections. More...

## Functions

std::ostream & | com::lomiri::location::connectivity::operator<< (std::ostream &out, State state)
| Pretty prints the given state to the given output stream.
Characteristics | com::lomiri::location::connectivity::operator| (Characteristics l, Characteristics r)
| Bitwise or operator for Characteristics flags.
Characteristics | com::lomiri::location::connectivity::operator& (Characteristics l, Characteristics r)
| Bitwise and operator for Characteristics flags.
std::ostream & | com::lomiri::location::connectivity::operator<< (std::ostream &out, Characteristics characteristics)
| Pretty prints the given charateristics to the given output stream.
const std::shared_ptr< Manager > & | com::lomiri::location::connectivity::platform_default_manager ()
| Provides access to a platform-specific implementation/instance of a connectivity manager.